org.bdgenomics.adam.sql

# VariantAnnotation

###
Related Docs: object VariantAnnotation | package sql

#### class VariantAnnotation extends Product

Linear Supertypes
Product, Equals, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. VariantAnnotation
2. Product
3. Equals
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new VariantAnnotation(ancestralAllele: Option[String], alleleCount: Option[Int], readDepth: Option[Int], forwardReadDepth: Option[Int], reverseReadDepth: Option[Int], referenceReadDepth: Option[Int], referenceForwardReadDepth: Option[Int], referenceReverseReadDepth: Option[Int], alleleFrequency: Option[Float], cigar: Option[String], dbSnp: Option[Boolean], hapMap2: Option[Boolean], hapMap3: Option[Boolean], validated: Option[Boolean], thousandGenomes: Option[Boolean], somatic: Option[Boolean], transcriptEffects: Seq[TranscriptEffect], attributes: Map[String, String])

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### val alleleCount: Option[Int]

5. #### val alleleFrequency: Option[Float]

6. #### val ancestralAllele: Option[String]

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### val attributes: Map[String, String]

9. #### def canEqual(that: Any): Boolean

   Definition Classes
     VariantAnnotation → Equals

10. #### val cigar: Option[String]

11. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

12. #### val dbSnp: Option[Boolean]

13. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

15. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

16. #### val forwardReadDepth: Option[Int]

17. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

18. #### val hapMap2: Option[Boolean]

19. #### val hapMap3: Option[Boolean]

20. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

21. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

22. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

23. #### final def notify(): Unit

    Definition Classes
      AnyRef

24. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

25. #### def productArity: Int

    Definition Classes
      VariantAnnotation → Product

26. #### def productElement(i: Int): Any

    Definition Classes
      VariantAnnotation → Product

27. #### def productIterator: Iterator[Any]

    Definition Classes
      Product

28. #### def productPrefix: String

    Definition Classes
      Product

29. #### val readDepth: Option[Int]

30. #### val referenceForwardReadDepth: Option[Int]

31. #### val referenceReadDepth: Option[Int]

32. #### val referenceReverseReadDepth: Option[Int]

33. #### val reverseReadDepth: Option[Int]

34. #### val somatic: Option[Boolean]

35. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

36. #### val thousandGenomes: Option[Boolean]

37. #### def toAvro: formats.avro.VariantAnnotation

38. #### def toString(): String

    Definition Classes
      AnyRef → Any

39. #### val transcriptEffects: Seq[TranscriptEffect]

40. #### val validated: Option[Boolean]

41. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

42. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

43. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped